Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 441702 - kde-base/kde-env, kde-base/kdebase-pam: please change LICENSE to something other than "as-is"
Summary: kde-base/kde-env, kde-base/kdebase-pam: please change LICENSE to something ot...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: as-is-license
  Show dependency tree
 
Reported: 2012-11-04 08:28 UTC by Ulrich Müller
Modified: 2012-11-15 18:15 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Müller gentoo-dev 2012-11-04 08:28:42 UTC
Please consider changing these packages to something other than "as-is", because as-is will sooner or later be removed from the @FREE license group.

The small files installed are hardly copyrightable, so I guess "public-domain" is a reasonable choice. But "GPL-2" would also be fine (because the code is hosted in the portage tree).
Comment 1 Johannes Huber gentoo-dev 2012-11-15 18:15:14 UTC
Thanks for reporting, fixed in CVS and kde overlay as well.

+  15 Nov 2012; Johannes Huber <johu@gentoo.org> kdebase-pam-7.ebuild:
+  Update license to GPL-2 wrt bug #441702.

+  15 Nov 2012; Johannes Huber <johu@gentoo.org> kde-env-4.8.5.ebuild,
+  kde-env-4.9.3.ebuild:
+  Update license to GPL-2 wrt bug #441702.

http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=86e3a60db01952ad6f11af5feff2817d2dba9882

http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=cdf4f6e4962c32e37d98f153d662988936927755